image:
  name: docker-registry.wur.nl/m-unlock/docker/gitlab:runner
  entrypoint: [""]

#stages to execute
stages:
- test_build

before_script:
  - export PATH="/root/.sdkman/candidates/java/current/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/venv/bin:"

#test the gradle build
test_build_dev:
  stage: test_build
  script:
    - ls
    - ./build.sh
    - FILENAME=./build/libs/IRODSTransfer.jar
    - /scripts/upload.sh $FILENAME
  only:
    - dev

#test the gradle build
test_build_master:
  stage: test_build
  script:
    - ls
    - ./build.sh
    - FILENAME=./build/libs/IRODSTransfer.jar
    - /scripts/upload.sh $FILENAME
  only:
    - master
